<?php

require_once "db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    

    $cadena="<center><table border='1' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>ROL</b>&emsp;
             
              <input style='font-weight:bold;text-align:center;color:#B40404;' onclick=\"mostrar('r_id1','r_id2','roles',250,200);\" type='text' id='r_id1' size='2'>
              <input style='font-weight:bold;text-align:center;background-color: #dfdcdc;color:#B40404;' type='text' id='r_id2' size='20' readonly=\"readonly\">
              </td>
              
              <td colspan='3'>
              &nbsp;&nbsp;&nbsp;
              <b>CODIGO</b>&emsp;
              <input style='font-weight:bold;text-align:center;color:#B40404;' onclick=\"mostrar_usuario('p1','p2',450,310);\" type='text' id='codigo' size='5'>
              <input style='font-weight:bold;text-align:center;background-color: #dfdcdc;color:#B40404;' type='text' id='nombres' size='50' readonly=\"readonly\">
              </td>              
              </tr>
              
              <tr>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>USUARIO</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' type='text' id='usuario' size='20'>
              </td>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>CONTRASE&Ntilde;A</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' type='text' id='contrasena' size='20'>
              </td>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>FECHA</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' type='text' id='fecha' size='20' readonly=\"readonly\">
             <script>

            var mydate=new Date();
            var year=mydate.getYear();
            if (year < 1000)
            year+=1900;
            var day=mydate.getDay();
            var month=mydate.getMonth()+1;
            if (month<10)
            month=\"0\"+month;
            var daym=mydate.getDate();
            if (daym<10)
            daym=\"0\"+daym;
            document.getElementById(\"fecha\").value=daym+'/'+month+'/'+year;
            
            </script>
             
              </td>              
              </tr>

              <tr>
              <td colspan='3' align='center'><br>
              <input type='button' class='button small green' name='btngrabar' onclick='grabar_usuarios();' value=' Grabar '>
              <input type='button' class='button small green' name='btnlimpiar' onclick='limpiar_usuarios();' value=' Limpiar '>
              </td>
              </tr>
              </table>";

    $cadena.="</center>";
    $cadena.="<div id='dialog' style='background-color:#003366;' title='SELECCIONE ITEM' style='display:none;'></div>";
    echo $cadena;
}

//------------------------------------

if ($_POST['accion']=='grabar_usuario'){

    $obj = new database();

    $rol=$_POST['rol'];
    $codigo=$_POST['codigo'];
    $usuario=$_POST['usuario'];
    $contrasena=$_POST['contrasena'];
    $fecha=$_POST['fecha'];    
    $nombres=$_POST['nombres'];    

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $obj->consulta("INSERT INTO usuarios(rol,id,usuario,contrasena,fecha_reg) VALUES('".$rol."','".$codigo."','".$usuario."','".$contrasena."','".$fecha."')");
    $obj->consulta("INSERT INTO usuarios_temporal(rol,id,nombres,usuario,contrasena,fecha_reg) VALUES('".$rol."','".$codigo."','".$nombres."','".$usuario."','".$contrasena."','".$fecha."')");
    
    $obj->disconnect();

    echo "Registro Grabado";
    
}

//------------------------------------

if ($_POST['accion']=='buscar_usuario'){

    $cadena="<center><br><table border='0' cellspacing='5' cellpadding='0' width='50%'>

              <tr>
              <TD align='center' style='font-weight:bold;font-size: 12px'>&nbsp;&nbsp;ROL&nbsp;&nbsp;
              <SELECT class='Estilo16' style='width: 250px;font-weight:bold;font-size:12px' id='roles' onchange='cargar_sedes()' <option value=''></option></SELECT></TD>
              
              <TD align='center' style='font-weight:bold;font-size: 12px'>
              &nbsp;&nbsp;C&Oacute;DIGO&nbsp;&nbsp;             
              <input style='font-weight:bold;text-align:center;' type='text' id='codigo' size='5'>
              </TD>
              
              </tr>
              
              <tr>
              <TD align='center' colspan='4'>
              <input type='button' name='btnretornar' class='button small green' onclick='mostrar1();' value=' Mostrar '>
              </TD>
              </tr>
              </table>
              </center>";
    
    echo $cadena;
}

//-------------------------------------

if ($_REQUEST['accion']=='roles'){

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from roles");
    $obj->disconnect();

    $n=$obj->numero_de_filas($resultado);


    if ($n!=0){

        $opciones = '<option value="0">     - Seleccione Rol - </option>';
         while($row =$obj->fetch_assoc($resultado)){
               $opciones.='<option value="'.$row['codigo'].'">'.$row['codigo']." - ".$row['descripcion'].'</option>';
         }

         echo $opciones;
    }

}


//------------------------------------

if ($_POST['accion']=='actualizar_usuario'){

    $obj = new database();

    $rol=$_POST['rol'];
    $codigo=$_POST['codigo'];
    $usuario=$_POST['usuario'];
    $contrasena=$_POST['contrasena'];
    $fecha=$_POST['fecha'];    
    $nombres=$_POST['nombres']; 

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    $obj->consulta("UPDATE usuarios SET usuario='".$usuario."',contrasena='".$contrasena."' WHERE rol='".$rol."' AND id='".$codigo."'");
    $obj->consulta("UPDATE usuarios_temporal SET usuario='".$usuario."',contrasena='".$contrasena."' WHERE rol='".$rol."' AND id='".$codigo."'");
    
    $obj->disconnect();

    if($resultado){
       echo "Usuario Actualizado";
    }
}

//------------------------------------

if ($_POST['accion']=='borrar_usuario'){
    
    
    $obj = new database();

    $rol=$_POST['rol'];
    $codigo=$_POST['codigo'];
    $usuario=$_POST['usuario'];
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $obj->consulta("DELETE from usuarios where rol='".$rol."' AND id='".$codigo."' AND usuario='".$usuario."'");
    $obj->consulta("DELETE from usuarios_temporal where rol='".$rol."' AND id='".$codigo."' AND usuario='".$usuario."'");

    $obj->disconnect();

    
    echo "Usuario Eliminado";
        
}

//------------------------------------

if ($_POST['accion']=='editar_usuario'){


    $obj = new database();

    $rol=$_POST['rol'];
    $codigo=$_POST['codigo'];
    $usuario=$_POST['usuario'];
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from usuarios_temporal where rol='".$rol."' AND id='".$codigo."' AND usuario='".$usuario."'");

    $row = $obj->fetch_assoc($query);

    $cadena="<center><table border='1' cellspacing='0' cellpadding='0' width='100%'>";
    $cadena.="<tr><td colspan='4'></td></tr>";

    $cadena.="<tr>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>ROL</b>&emsp;             
              <input style='font-weight:bold;text-align:center;color:#B40404;' value=".$row['rol']."  type='text' id='r_id1' size='2' readonly=\"readonly\">";
              
    $query_roles=$obj->consulta("select * from roles where codigo='".$row['rol']."'");
    $row_r = $obj->fetch_assoc($query_roles);
         
              
    $cadena.="<input style='font-weight:bold;text-align:center;background-color: #dfdcdc;color:#B40404;' value='".$row_r['descripcion']."' type='text' id='r_id2' size='20' readonly=\"readonly\">
              </td>
              
              <td colspan='3'>
              &nbsp;&nbsp;&nbsp;
              <b>CODIGO</b>&emsp;
              <input style='font-weight:bold;text-align:center;;color:#B40404;' value='".$row['id']."' type='text' id='codigo' size='5' readonly=\"readonly\">
              <input style='font-weight:bold;text-align:center;background-color: #dfdcdc;color:#B40404;' value='".$row['nombres']."' type='text' id='nombres' size='50' readonly=\"readonly\">
              </td>              
              </tr>
              
              <tr>
              <td>";
              
              if ($rol==2) //---SI ES ESTUDIANTE NO PERMITE CAMBIAR EL USUARIO (Codigo)
                  $cadena.="&nbsp;&nbsp;&nbsp;
                            <b>USUARIO</b>&emsp;<input style='font-weight:bold;text-align:center;;color:#B40404;' value='".$row['usuario']."' type='text' id='usuario' size='20' readonly=\"readonly\">";
              else
                  $cadena.="&nbsp;&nbsp;&nbsp;
                            <b>USUARIO</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' value='".$row['usuario']."' type='text' id='usuario' size='20'>";
              
              $cadena.="</td>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>CONTRASE&Ntilde;A</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' value=".$row['contrasena']." type='text' id='contrasena' size='20'>
              </td>
              <td>
              &nbsp;&nbsp;&nbsp;
              <b>FECHA</b>&emsp;<input style='font-weight:bold;text-align:center;color:#B40404;' type='text' value=".$row['fecha_reg']." id='fecha' size='20' readonly=\"readonly\">
             
              </td>              
              </tr>

              <tr>
              <td colspan='3' align='center'><br>
              <input type='button' class='button small green' name='btngrabar' onclick='Actualizar();' value=' Actualizar '>
              <input type='button' class='button small green' name='btnlimpiar' onclick='limpiar_usuarios();' value=' Limpiar '>
              </td>
              </tr>
              </table>";

    $cadena.="</center>";
    $cadena.="<div id='dialog' style='background-color:#003366;' title='SELECCIONE ITEM' style='display:none;'></div>";
    
    echo $cadena;

    $obj->disconnect();

}

 //-----------------------------------------
 
 if ($_POST['accion']=='nombres_usuarios'){

    $sw=$_REQUEST['sw'];


    if ($sw==1){
    
      $obj = new database();
      $obj->conectar(); $obj->consulta("set names 'utf8'");

      $obj->consulta("DELETE FROM usuarios_temporal");
      $obj->consulta("INSERT INTO usuarios_temporal(rol,id,usuario,contrasena,fecha_reg) select rol,id,usuario,contrasena,fecha_reg from usuarios");
     
      //-- Profesores -----
      
      $query0 = $obj->consulta("select * from profesores");     
      while ($row = $obj->fetch_assoc($query0)){
             $obj->consulta("UPDATE usuarios_temporal SET nombres='".$row['nombres']."' WHERE rol='1' AND id='".$row['cedula']."'");                                              
      }

      //-- Coordinadores -----
      
      $query1 = $obj->consulta("select * from coordinadores");     
      while ($row1 = $obj->fetch_assoc($query1)){
             $obj->consulta("UPDATE usuarios_temporal SET nombres='".$row1['nombres']."' WHERE rol='5' AND id='".$row1['cedula']."'");                                              
      }      

      //-- Alumnos -----
      
          
      $query10 = $obj->consulta("SELECT usuarios.id,alumnos.p_apellido,alumnos.s_apellido,alumnos.p_nombre,alumnos.p_nombre, usuarios.rol
                                 FROM usuarios INNER JOIN alumnos ON usuarios.id = alumnos.codigo
                                 WHERE usuarios.rol='2'"); 
                                      
      while ($row10 = $obj->fetch_assoc($query10)){
             $obj->consulta("UPDATE usuarios_temporal SET nombres='".$row10['p_apellido']." ".$row10['s_apellido']." ".$row10['p_nombre']." ".$row10['s_nombre']."' WHERE rol='2' AND id='".$row10['id']."'");                                              
      }      

      
      $obj->disconnect();

    }
    
}

?>
